//+------------------------------------------------------------------+
//|                                               Complex_Common.mq4 |
//|                                              SemSemFX@rambler.ru |
//|              http://onix-trade.net/forum/index.php?showtopic=107 |
//|                 http://forum.alpari-idc.ru/viewtopic.php?t=46916 |
//+------------------------------------------------------------------+
#property copyright "SemSemFX@rambler.ru"
#property link      "http://onix-trade.net/forum/index.php?showtopic=107"
#property link      "http://forum.alpari-idc.ru/viewtopic.php?t=46916"

#property indicator_separate_window
#property indicator_buffers 5
#property indicator_color1 Lime
#property indicator_color2 DodgerBlue
#property indicator_color3 Red
#property indicator_color4 Black
#property indicator_color5 Maroon
//extern  int   Symbol_1 = '\6EM9';
//extern int    Symbol_2 = '\x6BM9';

//---- buffers
double FDAXM9[];
double FTSEM9[];
//double GBP[];
//double CHF[];
//double JPY[];
//---- parameters

extern int MA_per = 12;
extern int MA_fast = 3;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorShortName("FDAXM9:; FTSEM9:; /*GBP:; CHF:; JPY:*/");
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,FDAXM9);
   SetIndexLabel(0, "FDAXM9"); 
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,FTSEM9);
   SetIndexLabel(1, "FTSEM9"); 
   /*
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,GBP);
   SetIndexLabel(2, "GBP"); 
   SetIndexStyle(3,DRAW_LINE);
   SetIndexBuffer(3,CHF);
   SetIndexLabel(3, "CHF"); 
   SetIndexStyle(4,DRAW_LINE);
   SetIndexBuffer(4,JPY);
   SetIndexLabel(4, "JPY"); */
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
     int limit;
     int counted_bars=IndicatorCounted();
  //----    
     if(counted_bars<0) return(-1);
  //----     
     if(counted_bars>0) counted_bars-=10;
     limit=Bars-counted_bars;
  //----  
      int Price=6;
      int Mode=3;
      int per1,per2;
      per1 = MA_per;
      per2 = MA_fast; 
      
     for(int i=0; i<limit; i++)
       {
        FDAXM9[i]=
            (iMA("FDAXM9",0,per2,0,Mode,Price,i)-
            iMA("FDAXM9",0,per1,0,Mode,Price,i))*10  ;
        FTSEM9[i]=
            (iMA("FTSEM9",0,per2,0,Mode,Price,i)-
            iMA("FTSEM9",0,per1,0,Mode,Price,i))*10  ;
            /*
        GBP[i]=
            (iMA("GBPUSD",0,per2,0,Mode,Price,i)-
            iMA("GBPUSD",0,per1,0,Mode,Price,i))*10000
            +
            (iMA("EURGBP",0,per1,0,Mode,Price,i)-
            iMA("EURGBP",0,per2,0,Mode,Price,i))*10000
            +
            (iMA("GBPCHF",0,per2,0,Mode,Price,i)-
            iMA("GBPCHF",0,per1,0,Mode,Price,i))*10000
            +
            (iMA("GBPJPY",0,per2,0,Mode,Price,i)-
            iMA("GBPJPY",0,per1,0,Mode,Price,i))*100
            ;
        CHF[i]=
            (iMA("USDCHF",0,per1,0,Mode,Price,i)-
            iMA("USDCHF",0,per2,0,Mode,Price,i))*10000
            +
            (iMA("EURCHF",0,per1,0,Mode,Price,i)-
            iMA("EURCHF",0,per2,0,Mode,Price,i))*10000
            +
            (iMA("GBPCHF",0,per1,0,Mode,Price,i)-
            iMA("GBPCHF",0,per2,0,Mode,Price,i))*10000
            +
            (iMA("CHFJPY",0,per2,0,Mode,Price,i)-
            iMA("CHFJPY",0,per1,0,Mode,Price,i))*100
            ;
        JPY[i]=
            (iMA("USDJPY",0,per1,0,Mode,Price,i)-
            iMA("USDJPY",0,per2,0,Mode,Price,i))*100
            +
            (iMA("EURJPY",0,per1,0,Mode,Price,i)-
            iMA("EURJPY",0,per2,0,Mode,Price,i))*100
            +
            (iMA("GBPJPY",0,per1,0,Mode,Price,i)-
            iMA("GBPJPY",0,per2,0,Mode,Price,i))*100
            +
            (iMA("CHFJPY",0,per1,0,Mode,Price,i)-
            iMA("CHFJPY",0,per2,0,Mode,Price,i))*100
            ;
            */
       }
  //----
    return(0);
  }
//+------------------------------------------------------------------+